# $Revision: 1.17 $, $Date: 2009/04/12 13:52:19 $
%bcond_without	javadoc		# build api docs
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif
#
%include	/usr/lib/rpm/macros.java

%define		snap		20011119

%define		srcname		cryptix-asn1
Summary:	Cryptix ASN1 implementation
Summary(pl.UTF-8):	Implementacja Cryptix ASN1
Name:		java-cryptix-asn1
Version:	0.%{snap}
Release:	2
License:	BSD-like
Group:		Libraries/Java
# http://www.rtfm.com/cgi-bin/distrib.cgi?Cryptix-asn1-20011119.tar.gz
Source0:	Cryptix-asn1-%{snap}.tar.gz
# Source0-md5:	ac4080eee24b1cf0a476cee4fe501149
Source1:	%{srcname}.build.xml
URL:		http://cryptix-asn1.sourceforge.net/
Patch0:		%{srcname}-java-1.5.patch
BuildRequires:	ant >= 1.5
BuildRequires:	java-cryptix
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-cryptix
Provides:	cryptix-asn1
Obsoletes:	cryptix-asn1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%package javadoc
Summary:	Online manual for %{srcname}
Summary(pl.UTF-8):	Dokumentacja online do %{srcname}
Group:		Documentation
Requires:	jpackage-utils
Provides:	cryptix-asn1-javadoc
Obsoletes:	cryptix-asn1-javadoc

%description javadoc
Documentation for %{srcname}.

%description javadoc -l pl.UTF-8
Dokumentacja do %{srcname}.

%description javadoc -l fr.UTF-8
Javadoc pour %{srcname}.

%description
Java crypto package containing ASN1 implementation.

%description -l pl.UTF-8
Pakiet kryptograficzny Javy zawierający implementację ASN1.

%prep
%setup -q -n Cryptix-asn1-%{snap}
%patch0 -p1
cp %{SOURCE1} build.xml
find -name '*.jar' | xargs rm -f

%build
CLASSPATH=$(build-classpath cryptix)
%ant clean jar %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp build/lib/*.jar $RPM_BUILD_ROOT%{_javadir}

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-cryptix-asn1.spec,v $
Revision 1.17  2009/04/12 13:52:19  glen
- O/P for old name; rel 2

Revision 1.16  2009/04/06 07:49:59  pawelz
- rel 1

Revision 1.15  2009/04/06 05:20:25  pawelz
- added rpm versioned BR (for %{pld_release} macro)
- added line to last commit log (about splitting javadoc into subpackage)

Revision 1.14  2009/04/06 05:17:51  pawelz
- renamed from cryptix-asn1.spec
- dropped BRs: log4j, junit, gnu-getopt
- added jdk bconds
- added javadoc bcond
- include java rpm macros
- split javadoc into subpackage

Revision 1.13  2009/04/03 12:53:04  pawelz
- new names for BRs

Revision 1.12  2007/04/09 23:53:44  glen
- use java macros
- update deps
- builds with java-1.5

Revision 1.11  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.9  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.8  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.7  2005/05/30 08:19:29  leafnode
- patch fixing build with sun java 1.5

Revision 1.6  2003/08/06 16:52:57  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.5  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.4  2003/07/05 20:59:42  qboosh
- this version doesn't BR jikes

Revision 1.3  2003/07/03 22:23:29  qboosh
- pl

Revision 1.2  2003/07/02 13:21:53  ankry
- md5

Revision 1.1  2003/07/02 11:54:05  pascalek
- initial release
